Subject: Re: [PATCH] powerpc: use common cpu_die

From: Milton Miller <[email-masked]>
Date: Fri, 6 Feb 2009 11:02:34 -0600

On Feb 3, 2009, at 10:07 PM, Benjamin Herrenschmidt wrote:
>> --- work.git.orig/arch/powerpc/platforms/powermac/setup.c-static void 
>> pmac_cpu_die(void)
>> +static void pmac64_cpu_die(void)
  ...
>> --- work.git.orig/arch/powerpc/platforms/powermac/smp.c	2009-01-05 
>> 02:09:08.000000000 -0600
>> -void cpu_die(void)
>> +void pmac32_cpu_die(void)
>>  {
>>  	local_irq_disable();
>>  	cpu_dead[smp_processor_id()] = 1;
>
> Hi Milton ! Any chance you can move both pmac32 and pmac64 variants 
> into
> the same file ?

I'm sure I could, but (1) it should be an incremental patch, (2) it 
would only be compile tested again, and (3)  I didn't look to see how 
it would fit.  I was doing the minimal patch that left the code intact; 
it's possible that more consolidation could be done.

milton